## org.apache.mahout.cf.taste.recommender
Interface CandidateItemsStrategy

All Known Implementing Classes:
  AllUnknownItemsCandidateItemsStrategy, PreferredItemsNeighborhoodCandidateItemsStrategy, SamplingCandidateItemsStrategy

    public interface CandidateItemsStrategy

Used to retrieve all items that could possibly be recommended to the user

Method Summary
`FastIDSet` `getCandidateItems(long userID, DataModel dataModel)` #return IDs of all items that could be recommended to the user

Method Detail

### getCandidateItems

    FastIDSet getCandidateItems(long userID,
                                DataModel dataModel)
                                throws TasteException

  #return IDs of all items that could be recommended to the user

  Throws:
    `TasteException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.